package com.ruoyi.abuwx.service;

import com.ruoyi.abuwx.domain.CardRedeption;

import java.util.List;

/**
 * 卡券兑换Service接口
 *
 * @author lujie
 * @date 2025-01-07
 */
public interface ICardRedeptionService {
    /**
     * 查询卡券兑换
     *
     * @param id 卡券兑换主键
     * @return 卡券兑换
     */
    public CardRedeption selectCardRedeptionById(Long id);

    /**
     * 查询卡券兑换列表
     *
     * @param cardRedeption 卡券兑换
     * @return 卡券兑换集合
     */
    public List<CardRedeption> selectCardRedeptionList(CardRedeption cardRedeption);

    /**
     * 新增卡券兑换
     *
     * @param cardRedeption 卡券兑换
     * @return 结果
     */
    public int insertCardRedeption(CardRedeption cardRedeption);

    /**
     * 修改卡券兑换
     *
     * @param cardRedeption 卡券兑换
     * @return 结果
     */
    public int updateCardRedeption(CardRedeption cardRedeption);

    /**
     * 批量删除卡券兑换
     *
     * @param ids 需要删除的卡券兑换主键集合
     * @return 结果
     */
    public int deleteCardRedeptionByIds(Long[] ids);

    /**
     * 删除卡券兑换信息
     *
     * @param id 卡券兑换主键
     * @return 结果
     */
    public int deleteCardRedeptionById(Long id);
}
